/*
  Copyright (C) 2002 Kimmo Pekkola

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/
/*
  $Header: //rainbox/cvsroot/Rainmeter/Plugin/MeterLine.h,v 1.1 2002/07/01 15:35:54 rainy Exp $

  $Log: MeterLine.h,v $
  Revision 1.1  2002/07/01 15:35:54  rainy
  Intial version

*/

#ifndef __METERLINE_H__
#define __METERLINE_H__

#include "Meter.h"
#include "MeterWindow.h"

class CMeterLine : public CMeter
{
public:
	CMeterLine();
	virtual ~CMeterLine();

	virtual void ReadConfig(const char* filename, const char* section);
	virtual void Initialize(CMeterWindow& meterWindow);
	virtual void Draw(CMeterWindow& meterWindow);
	virtual void BindMeasure(std::list<CMeasure*>& measures);

private:
	void DrawColors(CMeterWindow& meterWindow);
	void PaintColors(CMeterWindow& meterWindow, HDC dc);

	std::vector<std::string> m_MeasureNames;		// Name of the other measures
	std::vector<CMeasure*> m_Measures;				// Pointer ot the other measures

	std::vector<COLORREF> m_Colors;					// Color of the histograms
	std::vector<HPEN> m_Pens;						// The other pens to draw single color histograms
	std::vector<double> m_ScaleValues;				// The scale values for the measures

	bool m_Autoscale;								// If true, the meter is automatically adjusted to show all values
	bool m_HorizontalLines;							// If true, horizontal lines will ba drawn on the meter
	HPEN m_HorizontalPen;							// The pen to draw the horizontal lines
	COLORREF m_HorizontalColor;						// Color of the horizontal lines

	std::vector< std::vector<unsigned int> > m_AllValues;			// All the values to be drawn
	int m_CurrentPos;												// Place of the current value
};

#endif
